package com.platform.entities;

public class OracleExtractExecuter implements Runnable {
	private BasedTask task;

	public OracleExtractExecuter(BasedTask task) {
		this.task = task;
	}

	@Override
	public void run() {
		if (null != task)
			task.handler();
	}
}
